<?php
include ("conexion.php");

$fecha=$_POST['fecha'];
$idprovee=$_POST['idprovee'];
$idClinica=$_POST['idClinica'];
$factura=$_POST['factura'];

//Arrays
$precio=$_POST['precio'];
//$precioventa=$_POST['precioventa'];
$claves=$_POST['idprod'];
$cantidad=$_POST['cantidad'];

//INSERCION DE LA COMPRA EN LA BASE DE DATOS
$cons3="INSERT INTO compras (fechaCompra,idProveedor,idClinica,factura) VALUES ('$fecha','$idprovee','$idClinica','$factura')";
$res3=mysql_query($cons3,$conex) or die ("No se realizó la insercion en compras");

$folio=mysql_insert_id();
$folio;

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Clinisys :.</title>
<link href="ucaestilos.css" rel="stylesheet" type="text/css" />
<style type="text/css">
<!--
.Estilo1 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-style: italic;
	color: #666666;
	font-size: 14px;
}
body {
	background-color: #CCCCCC;
}
-->
</style>
</head>
<body>
<table width="800" border="0" align="center" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
  <tr>
    <td><img src="img/top02.jpg" width="800" height="100" /></td>
  </tr>
  <tr>
    <td><div align="center"><br />
      <span class="Estilo1">      Alta realizada con &eacute;xito </span><br /><br />
    </div>
      <table width="750" border="0" align="center">
        <tr>
          <td><table width="100%" border="0" align="center" cellspacing="0">
            <tr>
              <td width="32%"><hr /></td>
              <td width="36%" align="center"><span class="style7">Detalles de compra </span></td>
              <td width="32%"><hr /></td>
            </tr>
          </table>
            <table width="100%" border="0" cellpadding="0" cellspacing="5" bgcolor="#CCCCCC">
              <tr>
                <td width="20%"><span class="style4">Fecha: </span></span><span class="style9"><?php echo $fecha;?></span></td>
                <td width="27%"><span class="style4">Factura: <?php echo "<span class='style3'>".$factura."</span>";?></span></td>
                <td width="34%">&nbsp;</td>
                <td width="19%">&nbsp;</td>
              </tr>
              <tr>
                <td colspan="2"><span class="style4">Proveedor: </span></span>
                <?php
					include("conexion.php");
					$cons="select nombre from proveedor WHERE idProveedor = '$idprovee'" ;
					$res=mysql_query($cons,$conex) or die ("No se pudo realizar la consulta de Proveedor");
					$proveedor=mysql_result($res,0,'nombre');
					echo "<span class='style9'>".$proveedor."</span>";
					?></td>
                <td colspan="2"><span class="style4">Cl&iacute;nica: </span>
                  <?php
					$cons2="select clinica from clinicas WHERE idClinica = '$idClinica'" ;
					$res2=mysql_query($cons2,$conex) or die ("No se pudo realizar la consulta de la clinica");
					$clinica=mysql_result($res2,0,'clinica');
					echo "<span class='style9'>".$clinica."</span>";
					?>
                </td>
              </tr>
            </table>
            <p>
<?php
echo "<table border=1 align='center' cellpadding='1'>";
echo "<tr bgcolor='#4E5B7B' class='titulo' align='center'>";

echo "<td class='style4'>";
echo " Id ";
echo "</td>";

echo "<td class='style4'>";
echo "Nombre";
echo "</td>";
	
echo "<td class='style4'>";
echo "Unidades<br>por Paquete";
echo "</td>";

echo "<td class='style4'>";
echo "Clasificaci&oacute;n";
echo "</td>";

echo "<td class='style4'>";
echo "Presentaci&oacute;n";
echo "</td>";
	
echo "<td class='style4'>";
echo "Cantidad<br>de Paquetes";
echo "</td>";
	
echo "<td class='style4'>";
echo "Precio Compra<br>Paquete";
echo "</td>";

//echo "<td class='style4'>";
//echo "Precio Venta";
//echo "</td>";

echo "</tr>";
for($x=0; $x < sizeof($claves); $x++)
{

	$query="SELECT clave,nombre,unidadespaquete,clasificacion,idPresentacion,idPresentacion2 FROM productos Where clave='$claves[$x]'";
	$result=mysql_query($query,$conex) or die ("No se consultaron los productos");
	while($fila = mysql_fetch_array($result))
	{

		echo "<tr>";
		
		echo "<td class='style1'>";
		echo $fila[0];
		echo "</td>";
		
		echo "<td class='style1'>";
		echo $fila[1];
		echo "</td>";
			
		//CONSULTO NOMBRE DE LA PRESENTACION
		if ($fila[3]=='Incontables' or $fila[3]=='Materiales de impresion' or $fila[3]=='Liquidos - polvos')
		{
			echo "<td class='style1'>";
			echo "No aplica";
			echo "</td>";
			
			if ($fila[5]==0)
			{
				$presen="No asignada";
			}
			else
			{
				$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[5]'";
				$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
				$presen=mysql_result($res2,0,'presentacion');
			}
		}
		else
		{
			echo "<td class='style1'>";
			echo $fila[2];
			echo "</td>";
		
			$cons2="SELECT presentacion FROM presentaciones WHERE idPresentacion='$fila[4]'";
			$res2=mysql_query($cons2,$conex) or die ("No consulto nombre de presentacion");
			$presen=mysql_result($res2,0,'presentacion');
		}
		
		echo "<td class='style1'>";
		echo $fila[3];
		echo "</td>";
		
		//IMPRIMO PRESENTACION
		echo "<td class='style1'>";
		echo $presen;
		echo "</td>";

		//CANTIDAD
		echo "<td class='titulo' bgcolor='#999999' align='center'>";
		echo $cantidad[$x];
		echo "</td>";
		
		//PRECIO COMPRA
		echo "<td class='titulo' bgcolor='#999999' align='right'>";
		printf ("$ %.2f", $precio[$x]);
		echo "</td>";
		
		//MOVIMIENTOS DE ALMACENES
		if ($fila[3]=='Incontables' or $fila[3]=='Materiales de impresion' or $fila[3]=='Liquidos - polvos')
		{
			//INSERCION DEL CONTENIDO DEL PAQUETE EN LA BASE DE DATOS
			$cons60="INSERT INTO contenido_compra (idCompra,idProducto,cantidad,precio,paquetes) VALUES ('$folio','$claves[$x]','$cantidad[$x]','$precio[$x]','$cantidad[$x]')";
			$res60=mysql_query($cons60,$conex) or die ("No se realizó la insercion en contenido_compra incontable");
			
			
			$cons90="SELECT existencia FROM incontables WHERE idClinica='$idClinica' and idProducto='$claves[$x]'"; 
			$res90=mysql_query($cons90,$conex) or die ("No se realizó la obtencion de la existencia incontables");
			$existenciatabla0=mysql_result($res90,0,'existencia');
			$existenciatotal0=$existenciatabla0 + $cantidad[$x];
			//echo $existenciatotal0;
			//echo $existenciatotal0;
			$cons100="UPDATE incontables SET existencia='$existenciatotal0' where idClinica='$idClinica' and idProducto='$claves[$x]'";
			$res100=mysql_query($cons100,$conex) or die ("No se pudo actualizar datos de existencia en incontables");
			
		}
		else
		{
			$unidades=$cantidad[$x]*$fila[2];
			//INSERCION DEL CONTENIDO DEL PAQUETE EN LA BASE DE DATOS
			$cons6="INSERT INTO contenido_compra (idCompra,idProducto,cantidad,precio,paquetes) VALUES ('$folio','$claves[$x]','$unidades','$precio[$x]','$cantidad[$x]')";
			$res6=mysql_query($cons6,$conex) or die ("No se realizó la insercion en contenido_compra");
		
			
			$cons9="SELECT existencia FROM almacenes WHERE idClinica='$idClinica' and idProducto='$claves[$x]'"; 
			$res9=mysql_query($cons9,$conex) or die ("No se realizó la obtencion de la existencia");
			@$existenciatabla=mysql_result($res9,0,'existencia');
			$existenciatotal=$existenciatabla + $unidades;
			
			$cons10="UPDATE almacenes SET existencia='$existenciatotal' Where idClinica='$idClinica' and idProducto='$claves[$x]'";
			$res10=mysql_query($cons10,$conex) or die ("No se pudo actualizar datos de existencia en almacenes");
			
						
		}//TERMINA MOVIMIENTO EN ALMACENES
		
		
		$preciofinal=$precio[$x]/$fila['unidadespaquete'];
		
		//ACTUALIZO EL PRECIO DEL PRODUCTO
		$cons11="UPDATE productos SET costounidad='$preciofinal' WHERE clave='$claves[$x]'";
		$res11=mysql_query($cons11,$conex) or die ("No se pudo actualizar precio del producto");
	}
	echo "</tr>";
}
echo "</table>";
?>
          </p>
          </td>
        </tr>
      </table>
      <table width="177" border="0" align="center" cellspacing="10">
        <tr>
          <td width="57" valign="top">
              <div align="center">
                <p>
                  <input name="Submit" type="button" class="boton2" value="Imprimir" onClick="javascript:print()">
                </p>
              </div>
          </td>
          <td width="109"><form id="form1" name="form1" method="post" action="main.php">
              <div align="center">
                <p>
                  <input name="Submit2" type="submit" class="boton2" value="Volver a inicio" />
                </p>
              </div>
          </form></td>
        </tr>
      </table>
      <table width="100%" border="0">
          <tr>
        <td height="26" style="background-color:#0D3356;">
        <div align="center" id="noimprimible">
          <table width="99%" border="0" align="center" cellpadding="2" cellspacing="0">
            <tr>
              <td align="center" class="style8">Desarrollado para la Universidad Cuauht&eacute;moc por <a href="http://www.upweb.mx" target="_blank"><img src="img/webmaster.svg" style="height:16px; vertical-align:bottom;"></a></td>
            </tr>
          </table>
        </div></td>
        </tr>
    </table></td></tr>
</table>
</body>
</html>